//Ex3_212.cpp
#include "iostream" 
#include "iomanip"
using namespace std;
void main() 
{int x,y,z; 
 long k(0); 
 cout<<setw(9)<<"x"<<setw(9)<<"y"<<setw(9)<<"z"<<endl; 
 for(x=0;x<=33;x++) 
   for(y=0;y<=50;y++) 
   {k++;
    z=100-x-y; 
    if((3*x+2*y+0.5*z)==100) 
      cout<<setw(9)<<x<<setw(9)<<y<<setw(9)<<z<<endl; 
   } 
   cout<<"方法2内循环执行了:"<<k<<"次!"<<endl; 
}
